<?php
?>
<!DOCTYPE html>
<html lang="zh-TW">
   <head>
      <meta charset="UTF-8">
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes">
      <title>Social lab</title>
      <meta name="description" content="Free bootstrap template Atlas">
      <link rel="icon" href="img/favicon.png" sizes="32x32" type="image/png">
      <!-- custom.css -->
      <link rel="stylesheet" href="css/custom.css">
      <!-- bootstrap.min.css -->
      <link rel="stylesheet" href="css/bootstrap.min.css">
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
      <!-- font-awesome -->
      <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.min.css">
      <link href="https://fonts.googleapis.com/css?family=Ubuntu" rel="stylesheet">
      <!-- AOS -->
      <link rel="stylesheet" href="css/aos.css">
   </head>
   <body>
      <!-- banner -->
      <div class="jumbotron jumbotron-fluid" id="banner" style="background-image: url(img/reagentes1.png);">
         <div class="container text-center text-md-left">
            <h1 data-aos="fade" data-aos-easing="linear" data-aos-duration="1000" data-aos-once="true" class="display-3 text-white font-weight-bold my-5">
               Social<br>
               Lab
            </h1>
            <p data-aos="fade" data-aos-easing="linear" data-aos-duration="1000" data-aos-once="true" class="lead text-white my-4">
               De cientistas para cientistas: compartilhe materiais e reagentes, acelere sua pesquisa!
            </p>
            <br>
            <a type="button" id="bannerbutton" data-aos="fade" data-aos-easing="linear" data-aos-duration="1000" data-aos-once="true" class="btn my-4 font-weight-bold atlas-cta cta-green smooth-menu" style="font-size:18px;">Compartilhe já!</a>
            <br>
         </div>
      </div>
      <!-- feature (skew background) -->
      <div class="jumbotron jumbotron-fluid feature" id="feature-first">
         <div class="container my-5">
            <div class="row justify-content-between text-center text-md-left">
               <div data-aos="fade-right" data-aos-duration="1000" data-aos-once="true" class="col-md-6">
                  <h2 class="font-weight-bold" style="font-size:4.8rem;">Um problema recorrente</h2>
                  <p style="font-size: 1.7rem; font-weight: 500; line-height: 1.5;" class="my-4">
                     <b>Economia de recursos:</b> com a redução das verbas de financiamento e aumento de competitividade dos projetos de pesquisa, é necessário priorizar gastos<br>
                     <b>Logística:</b> no Brasil o processo de compra e entrega de materiais de consumo para pesquisa leva de semanas a meses, sobretudo quando é necessário importar o material. Neste caso a burocracia da importação dificultam a aquisição de insumos.
                  </p>
               </div>
               <div data-aos="fade-left" data-aos-duration="1000" data-aos-once="true" class="col-md-6 align-self-center">
                  <img src="img/img1.png" alt="Take a look inside" class="mx-auto d-block">
               </div>
            </div>
         </div>
      </div>
      <!-- feature (green background) -->
      <div class="jumbotron jumbotron-fluid feature" id="feature-last">
         <div class="container">
            <div class="row justify-content-between text-center text-md-left">
               <div data-aos="fade-left" data-aos-duration="1000" data-aos-once="true" class="col-md-6 flex-md-last">
                  <h2 class="font-weight-bold">Nossa proposta</h2>
                  <p style="font-size: 1.7rem; font-weight: 500; line-height: 1.5;" class="my-4">
                     Ter uma plataforma de compartilhamento de materiais (reagentes e outros materiais de consumo) ociosos, que possam ser
                     depois repostos, gerando economia, evitando disperdício e proporcionando a oportunidade de encontrar colaboradores.
                  </p>
               </div>
               <div data-aos="fade-right" data-aos-duration="1000" data-aos-once="true" class="col-md-6 align-self-center flex-md-first">
                  <img src="img/img3.png" alt="Safe and reliable" class="mx-auto d-block imagem3">
               </div>
            </div>
         </div>
      </div>
      <!-- reagentes -->
      <section id="reagent">
         <div id="ccontainer">
            <ul class="nav nav-tabs">
               <li class="formb active"><a id="nav1" data-toggle="tab" href="#reagentdiv">Compartilhar</a></li>
               <li class="formb"><a id="nav2" data-toggle="tab" href="#contactdiv">Contato</a></li>
            </ul>
            <div class="tab-content">
               <div id="reagentdiv" class="forms tab-pane fade in active">
                  <div id="reagentformcontainer">
                     <center>
                        <br><br>
                        <p>Gostou da proposta? Faça parte desse projeto!</p>
                        <form id="reagentform" action="" method="post">
                           <div class="form-group" style="display:flex;align-items:center;justify-content:center;">
                              <input type="radio" name="radio" class="radio" value="busca de reagentes" checked/>
                              <label class="radiolabel" for="op1" style="padding-right:3%">Buscando</label>
                              <input type="radio"  name="radio" class="radio" value="doação de reagentes"/>
                              <label  class="radiolabel" for="op2">Doando</label>
                           </div>
                           <div class="form-group">
                              <label for="email">Seu e-mail</label><br>
                              <input type="text" name="email">
                           </div>
                           <div class="form-group">
                              <label for="name">Nome ou fórmula do reagente</label><br>
                              <input type="text" name="name">
                           </div>
                           <div class="form-group">
                              <label for="qua">Quantidade</label><br>
                              <input type="text" name="qua">
                           </div>
                           <div class="form-group">
                              <label for="dv">Data de validade</label><br>
                              <input type="text" name="dv">
                           </div>
                           <div id="lado-a-lado" class="container">
                             <div class="row align-items-center">
                               <div class="form-group col-5" style="padding-left:0px; padding-right:0px;">
                                 <div class="float-right">
                                   <label for="cas">CAS Number</label><br>
                                   <input type="text" name="cas">
                                 </div>
                               </div>
                               <div class="col-2" style="padding-left:0px; padding-right:0px;">
                                 <p>ou</p>
                               </div>
                               <div class="form-group col-5" style="padding-left:0px; padding-right:0px;">
                                 <div class="float-left">
                                   <label for="mar">Marca</label><br>
                                   <input type="text" name="mar"><br><br>
                                   <label for="nc">Numero de catálogo</label><br>
                                   <input type="text" name="nc">
                                 </div>
                               </div>
                             </div>
                           </div>
                           <div id="msgr">
                           </div>
                           <center><button type="button" class="btn botaofinal" id="submitreagentform" name="submit" style="padding-left: 0px; padding-right: 0px; vertical-align:middle;">Enviar</button></center>
                           <br>
                        </form>
                     </center>
                  </div>
               </div>
               <div id="contactdiv" class="forms tab-pane fade in" >
                  <div id="contactformcontainer">
                     <center>
                        <br><br>
                        <p>Alguma dúvida ou sugestão? Entre em contato através do formulário abaixo.</p>
                        <form id="contactform" action="" method="post">
                           <div class="form-group">
                              <label for="name">Nome</label><br>
                              <input type="text" name="name">
                           </div>
                           <div class="form-group">
                              <label for="email">Endereço de e-mail</label><br>
                              <input type="text" name="email">
                           </div>
                           <br>
                           <div class="texts">
                              <label for="message">Mensagem</label><br>
                              <textarea class="form-control" name="message" rows="8" style="border:0.5px solid black;width:50%;"></textarea>
                           </div>
                           <div id="msgc">
                           </div>
                           <br>
                           <center><button type="button" class="btn botaofinal" id="submitcontactform" name="submit" style="padding-left: 0px; padding-right: 0px; vertical-align:middle;">Enviar</button></center>
                           <br>
                        </form>
                     </center>
                  </div>
               </div>
            </div>
         </div>
      </section>


      <!-- copyright -->
      <div class="jumbotron jumbotron-fluid" id="copyright">
         <div class="container center">
            <div class="row justify-content-between center">
               <div class="col text-white align-self-center text-center  my-2">
                  Social Lab © 2018.
               </div>
            </div>
            <div style="display:inline-block;">
               <span class="mwlove">Criado com muito <i class="fa fa-heart pulse"></i> pela
               </span>
               <a href="http://conpec.com.br/" target="_blank">
               <img src="img/logoconpec.png" id="conpeclogo" height="60" width="50">
               </a>
            </div>
         </div>
      </div>
   </body>
   <script src="js/aos.js"></script>
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
   <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
   <script>
      AOS.init({
      });
   </script>
   <script>
      $(document).ready(function(){
        $('#submitreagentform').click(function(event){
           $.ajax({
              dataType: 'json',
              url: 'reagent.php',
              type: 'POST',
              data: $('#reagentform').serialize(),
              beforeSend: function(xhr){
                $('#submitreagentform').html('Enviando...');
              },
              success: function(response){
                if(response){
                  console.log(response);
                  if(response['signal'] == 'ok'){
                   $('#msgr').html('<div class="alert alert-success col-md-10">'+ response['msg']  +'</div>').fadeIn();
                    $('input, textarea').val(function() {
                       return this.defaultValue;
                    });
                  }
                  else{
                    $('#msgr').html('<div class="alert alert-danger col-md-10">'+ response['msg'] +'</div>').fadeIn();
                  }
                }
              },
              error: function(jqXHR, textStatus, errorThrown){
      console.log(jqXHR.status);
      console.log(textStatus);
      console.log(errorThrown);
                $('#msgr').html('<div class="alert alert-danger col-md-10">Um erro ocorreu, tente novamente mais tarde.</div>').fadeIn();
              },
              complete: function(){
                $('#submitreagentform').html('Enviar');
                $('#msgr').delay(2000).fadeOut();
              }
            });
        });
      });
   </script>
   <script>
      $(document).ready(function(){
        $('#submitcontactform').click(function(event){
           $.ajax({
              dataType: 'json',
              url: 'contact.php',
              type: 'POST',
              data: $('#contactform').serialize(),
              beforeSend: function(xhr){
                $('#submitcontactform').html('Enviando...');
              },
              success: function(response){
                if(response){
                  console.log(response);
                  if(response['signal'] == 'ok'){
                   $('#msgc').html('<div class="alert alert-success col-md-10">'+ response['msg']  +'</div>').fadeIn();
                    $('input, textarea').val(function() {
                       return this.defaultValue;
                    });
                  }
                  else{
                    $('#msgc').html('<div class="alert alert-danger col-md-10">'+ response['msg'] +'</div>').fadeIn();
                  }
                }
              },
              error: function(jqXHR, textStatus, errorThrown){
      console.log(jqXHR.status);
      console.log(textStatus);
      console.log(errorThrown);
                $('#msgc').html('<div class="alert alert-danger col-md-10">Um erro ocorreu, tente novamente mais tarde.</div>').fadeIn();
              },
              complete: function(){
                $('#submitcontactform').html('Enviar');
                $('#msgc').delay(2000).fadeOut();
              }
            });
        });
      });
   </script>
   <script>
      $("#bannerbutton").click(function(){
          $('html, body').animate({
              scrollTop: $("#ccontainer").offset().top
          }, 1000);
      });
   </script>
   <script type="text/javascript" src="js/custom.js"></script>
</html>
